@ECHO OFF

pushd %~dp0

SetLocal

Set CleanupIMJobsScript=Cleanup IM Jobs.vbs

:: Remove the Installation Manager Job from "Add or Remove Programs"
:: Note how we are using start in front of this script to allow the batch file to exit, which
:: will complete the Installation Manager job, but leave the VBscript running.
start /MIN cscript //nologo "%~dp0%CleanupIMJobsScript%" "RepairClipboardChain"

IF EXIST %SYSTEMROOT%\SYSTEM32\CHANGE.EXE CHANGE USER /INSTALL
if errorlevel 1 set errorlevel=0
if errorlevel 255 set errorlevel=0

Echo Silently Installing...
cscript.exe //nologo "%~dp0InstallRepairClipboardChain.vbs"

IF EXIST %SYSTEMROOT%\SYSTEM32\CHANGE.EXE CHANGE USER /EXECUTE
if errorlevel 1 set errorlevel=0
if errorlevel 255 set errorlevel=0

:: Update Shadow Registry Time Stamps
SDT.EXE 1 1 1984
if errorlevel 1 set errorlevel=0
if errorlevel 255 set errorlevel=0

:Finish
EndLocal
popd
Exit /b %errorlevel%
